Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004526OCamlCamlp4public2008-04-01 18:362013-07-28 03:03
Reporterhirokawa 
Assigned Tohongboz 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionno change required 
PlatformOSOS Version
Product Version3.10.2 
Target VersionFixed in Version 
Summary0004526: get rid of empty elements from quotations
Description(from caml-list)
It would be nice if <:str_item< .. >> and <:sig_item< .. >>
generate no redundant nil constructors like SgNil.
The current camlp4o generates redundant nils: for instance,

% cat a.ml
<:sig_item< type t >>

% camlp4of a.ml
Ast.SgSem (_loc,
  Ast.SgTyp (_loc, Ast.TyDcl (_loc, "t", [], Ast.TyNil _loc, [])),
  Ast.SgNil _loc)


Attached is a patch for that.
TagsNo tags attached.
Attached Filesdiff file icon Camlp4OCamlRevisedParser.ml.20080401.diff [^] (1,622 bytes) 2008-04-01 18:36 [Show Content]

- Relationships

-  Notes
(0007964)
hongboz (developer)
2012-08-22 12:02

Should this be closed? I can not reproduce it anymore
(0009914)
hongboz (developer)
2013-07-28 03:03

since I could not reproduce the behavior, I closed the issue

- Issue History
Date Modified Username Field Change
2008-04-01 18:36 hirokawa New Issue
2008-04-01 18:36 hirokawa File Added: Camlp4OCamlRevisedParser.ml.20080401.diff
2008-04-07 13:15 doligez Assigned To => ertai
2008-04-07 13:15 doligez Status new => acknowledged
2012-07-12 11:28 doligez Assigned To ertai =>
2012-08-22 12:02 hongboz Note Added: 0007964
2013-07-22 03:08 hongboz Assigned To => hongboz
2013-07-28 03:03 hongboz Status acknowledged => resolved
2013-07-28 03:03 hongboz Resolution open => no change required
2013-07-28 03:03 hongboz Note Added: 0009914


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker